Skip to main content
`Ctrl`+`K`

# PetscAssertAbort

Assert that a particular condition is true, otherwise prints error and aborts

## Synopsis

    #include <petscsys.h>
    void PetscAssertAbort(bool cond, MPI_Comm comm, PetscErrorCode ierr, const char *message, ...)

Collective; No Fortran Support

## Input Parameters

- cond - The boolean condition

- comm - The communicator on which the check can be collective on

- ierr - A nonzero error code, see include/petscerror.h for the complete list

- message - Error message in the `printf()` format

## Note

Enabled only in debug builds. See `PetscCheckAbort()` for usage.

## See Also

`PetscCheckAbort()`, `PetscAssert()`, `PetscCheck()`, `SETERRABORT()`, `PetscError()`

## Level

beginner

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages